﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotNetNuke;
using DotNetNuke.Security;
using LinqThings4Sale;
using DotNetNuke.Common;

namespace DotNetNuke.Modules.LinqThings4Sale
{
    public partial class Categories : DotNetNuke.Entities.Modules.PortalModuleBase
    {
        protected void lnkBack_Click(object sender, EventArgs e)
        {
            Response.Redirect(Globals.NavigateURL(), true);
        }

        protected void InsertCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect(Globals.NavigateURL(), true);
        }

        protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
        {
            FormView1.ChangeMode(FormViewMode.Edit);
            FormView1.DataBind();
        }
        protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
        {
            GridView1.DataBind();
        }

        protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
        {
            FormView1.ChangeMode(FormViewMode.Insert);
            GridView1.DataBind();
        }
        protected void FormView1_ItemDeleted(object sender, FormViewDeletedEventArgs e)
        {
            FormView1.ChangeMode(FormViewMode.Insert);
            GridView1.DataBind();
        }

        protected void LinqDataSource1_Selecting(object sender, LinqDataSourceSelectEventArgs e)
        {
            LinqThings4SaleDataContext LinqThings4SaleDataContext = new LinqThings4SaleDataContext();

            var Things4Sale = from T in LinqThings4SaleDataContext.ThingsForSale_Categories
                              select new
                              {
                                  T.ID,
                                  T.Category,
                                  Count = LinqThings4SaleDataContext.ThingsForSales.Count(c => c.Category == T.Category)
                              };

            e.Result = Things4Sale;
        }

        protected void GridView1_RowDeleted(object sender, GridViewDeletedEventArgs e)
        {
            if (e.Exception != null)
            {
                Label1.Text = e.Exception.Message;
                e.ExceptionHandled = true;
            }
        }

}
}