﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="View.ascx.cs" Inherits="DotNetNuke.Modules.LinqThings4Sale.View" %>
<asp:LinqDataSource ID="LDSGrouping" runat="server" runat="server" ContextTypeName="LinqThings4Sale.LinqThings4SaleDataContext"
    TableName="ThingsForSales" Where="ModuleId == @ModuleId" OnSelecting="LDSGrouping_Selecting"
    GroupBy="Category" OrderGroupsBy="key asc" Select="new (key as Category, it as ThingsForSales, Count() as Count)">
    <WhereParameters>
        <asp:Parameter Name="ModuleId" Type="Int32" />
    </WhereParameters>
</asp:LinqDataSource>
<p>
    <asp:LinkButton ID="lnkAddListing" runat="server" OnClick="lnkAddListing_Click">[Add 
    My Listing]</asp:LinkButton>
</p>
<p>
    <asp:ListView ID="LVGroup" runat="server" DataSourceID="LDSGrouping" OnItemDataBound="LVGroup_ItemDataBound">
        <LayoutTemplate>
            <table runat="server">
                <tr runat="server">
                    <td runat="server">
                        <table id="itemPlaceholderContainer" runat="server" border="0" style="" class="ModuleTitle_MenuItem" cellpadding="5" cellspacing="5">
                            <tr id="Tr1" runat="server" style="">
                                <th id="Th1" runat="server">
                                </th>
                                 <th id="Th6" runat="server">
                                    Description
                                </th>
                                <th id="Th7" runat="server">
                                    Price
                                </th>
                            </tr>
                            <tr id="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" style="">
                        <asp:DataPager ID="DataPager1" runat="server" PageSize="4">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True" />
                            </Fields>
                        </asp:DataPager>
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr id="row" runat="server" class="group">
                <th colspan="1" width="50px" align="center" bgcolor="#CCCCCC">
                    <asp:LinkButton ID="MinMax" runat="server" OnClick="MinMax_Click" Text="+" CommandArgument='<%# Eval("Category") %>'></asp:LinkButton>
                </th>
                <th colspan="6" align="left" bgcolor="#CCCCCC">
                    <b>
                        <%# Eval("Category")%></b> -
                    <%# Eval("Count") %>
                    Item(s)
                </th>
            </tr>
            <asp:Panel ID="pnlItems" runat="server" Visible="false">
                <asp:ListView ID="lvItems" runat="server" OnItemDataBound="lvItems_ItemDataBound"
                    DataSource='<%# Eval("ThingsForSales") %>'>
                    <LayoutTemplate>
                        <tr runat="server" id="itemPlaceholder" />
                    </LayoutTemplate>
                    <ItemTemplate>
                        <tr style="">
                            <td align="center">
                                <asp:LinkButton ID="lnkSelect" runat="server" OnClick="lnkSelect_Click" CommandName='<%# Eval("ID") %>'
                                    CommandArgument='<%# Eval("UserID") %>'>Select</asp:LinkButton>
                            </td>
                            <td>
                                <asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
                            </td>
                            <td>
                                <asp:Label ID="PriceLabel" runat="server" Text='<%# Eval("Price", "{0:c}") %>' />
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:ListView>
            </asp:Panel>
        </ItemTemplate>
    </asp:ListView>
</p>
